View product subscription

Prev Next

Available in Classic and VPC

View product information that meet the user-defined conditions.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/products/{product-id}/subscription-detail

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID whose subscription information you want to view

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
offset Long Optional Starting point of the response data
  • 0 - 9,223,372,036,854,775,807
  • It is used with limit to implement pagination
limit Long Optional Maximum number of response data
  • 1 - 9,223,372,036,854,775,807
  • It is used with offset to implement pagination
apiId String Optional API ID
stageId String Optional Stage ID
apiKeyId String Required API key ID

Request example

The following is a sample request.

curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/subscription-detail?apiKeyId=***fmy2***&apiId=***51hs***&stageId=***5ei7***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "apiKeyRelations" : {
        "total" : 5,
        "content" : [ {
            "apiName" : "apiName",
            "domainCode" : "domainCode",
            "monthlyUsage" : 5,
            "usagePlanId" : "usagePlanId",
            "monthCallCount" : 1,
            "apiKeyId" : "apiKeyId",
            "apiKeyName" : "apiKeyName",
            "usagePlanName" : "usagePlanName",
            "dailyUsage" : 0,
            "regTime" : "2000-01-23T04:56:07.000+00:00",
            "stageName" : "stageName",
            "modTime" : "2000-01-23T04:56:07.000+00:00",
            "dayCallCount" : 6,
            "apiId" : "apiId",
            "stageId" : "stageId"
    } ]
  }
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "apiKeyRelations": {
        "content": [
            {
                "apiId": "***51hs***",
                "apiName": "api000",
                "stageId": "***5ei7***",
                "stageName": "stage",
                "apiKeyId": "***fmy2***",
                "apiKeyName": "apikey000",
                "regTime": "2024-05-07T04:22:05Z",
                "modTime": "2024-05-07T04:22:05Z",
                "dayCallCount": 0,
                "monthCallCount": 0,
                "domainCode": "PUB"
            }
        ],
        "total": 1
    }
}